/*************************************************************************
* x11.h                                                                  *
* Maupatz Xshm By Keuleu 2001                                            *
* taztv is free software; you can redistribute it and/or modify          *
* it under the terms of the GNU General Public License as published by   *
* the Free Software Foundation; either version 2 of the License, or      *
* (at your option) any later version.                                    *
*                                                                        *
* Taztv is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of         *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
* GNU General Public License for more details.                           *
*                                                                        *
* You should have received a copy of the GNU General Public License      *
* along with this program; if not, write to the Free Software            *
*                                                                        *
*************************************************************************/

#ifndef  X11_H
#define X11_H

int init_x11(void);
int processevent(void);
int end_x11(void);

/* buffer de rendu */
extern char *rb;
extern int wrw;
extern int wrh;
extern int clear_w;
extern int ysbar;
extern int ydbar;
extern int image_ratio;
extern int pixel_size;
extern int in_use;
extern int (*print_rb)(void);
extern void (*PutImage) (char *dst,int w_dst, int h_dst, char **src, int w_src, int h_src, int xoffset);
extern int fps;
extern int print_status_bar(char *s);
extern int XCreate_image(void);
extern void XDestroy_image(void);
extern void setbar(void);
extern int set_img_format (int rx,int ry);
extern int set_win_format_ratio (int rx,int ry);
extern int set_fullscreen (int x,int y);
extern char *get_char_format_ratio(void);
extern int get_number_mode(void);
extern int user_xvport;

#endif


