/*************************************************************************
* mixer.h                                                                *
* Maupatz     2001                                                       *
* taztv is free software; you can redistribute it and/or modify          *
* it under the terms of the GNU General Public License as published by   *
* the Free Software Foundation; either version 2 of the License, or      *
* (at your option) any later version.                                    *
*                                                                        *
* Taztv is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of         *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
* GNU General Public License for more details.                           *
*                                                                        *
* You should have received a copy of the GNU General Public License      *
* along with this program; if not, write to the Free Software            *
*                                                                        *
*************************************************************************/
#ifndef MIXER_H
#define MIXER_H
int init_mixer(char *device_name);
int end_mixer(void);
int mute_channel_rec(void);
int unmute_channel_rec(void);
int set_mixer_input ( char *name_input);
int set_mixer_input_name ( char *name_input);
int set_mixer_volume (int dev,int val);
int get_mixer_volume (int dev);
int inc_mixer_volume(void);
int dec_mixer_volume(void);
int set_recording_level(int level);
int get_recording_level(int *level);
char *get_mixer_device(void);
int set_mixer_device(char *mixer_device);
char *get_mixer_input_name(void);
int get_mixer_input_level(int *level);

extern char *rec_sound_names[];

#endif
