#ifndef WAVHEAD_H
#define WAVHEAD_H

/* WAV header format */

typedef struct wavhead {
  u_long        main_chunk;     /* 'RIFF' */
  u_long        length;         /* Length of rest of file */
  u_long        chunk_type;     /* 'WAVE' */

  u_long        sub_chunk;      /* 'fmt ' */
  u_long        sc_len;         /* length of sub_chunk, =16 (rest of chunk) */
  u_short       format;         /* should be 1 for PCM-code */
  u_short       modus;          /* 1 Mono, 2 Stereo */
  u_long        sample_fq;      /* frequence of sample */
  u_long        byte_p_sec;
  u_short       byte_p_spl;     /* samplesize; 1 or 2 bytes */
  u_short       bit_p_spl;      /* 8, 12 or 16 bit */

  u_long        data_chunk;     /* 'data' */
  u_long        data_length;    /* samplecount (lenth of rest of block?)*/
} wavhead;

#endif

