# workaround a bug in rpm 3.0.4:
#   by default it modifies the files installed by my %install
#   scriptlet (compresses the man-pages), but failes to update
#   the %files section too.
%define __os_install_post       true

%define prefix       /usr 

Summary: Video4Linux Stream Capture Viewer and Decoder
Name: taztv
Version: 0.48
Release: 1
Source0: %{name}-%{version}.tar.gz
Group: X11/Applications
Copyright: GNU GENERAL PUBLIC LICENSE
BuildRoot: /var/tmp/%{name}-%{version}.root

%description
X11 TV application with nagravision decryption capabilities

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make ROOT="$RPM_BUILD_ROOT" prefix="$RPM_BUILD_ROOT"%{prefix} install
strip $RPM_BUILD_ROOT/%{prefix}/bin/taztv

%files
%defattr(-,root,root)
%{prefix}/bin/taztv
%{prefix}/man/man1/taztv.1
%{prefix}/man/fr/man1/taztv.1
%{prefix}/share/taztv/skins/*
/usr/X11R6/lib/X11/fonts/misc/led-fixed.pcf
%{prefix}/share/locale/*/LC_MESSAGES/taztv.mo
%doc README LISEZMOI taztvrc FAQ FAQfr TODO ChangeLog AUTHORS
%doc lircrc.sample taztv.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd /usr/X11R6/lib/X11/fonts/misc
mkfontdir
xset fp rehash || true
